Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils
Class GUIProgressUpdater

    java.lang.Object
      de.jstacs.utils.GUIProgressUpdater

All Implemented Interfaces:
  ProgressUpdater, ActionListener, EventListener

    public class GUIProgressUpdater

extends Object
implements ProgressUpdater, ActionListener

This class implements a `ProgressUpdater` with a GUI.

Author:
  Jens Keilwagen

Constructor Summary
`GUIProgressUpdater(boolean cancelButton)` This is the constructor for a `GUIProgressUpdater`.

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`protected void` | `finalize()`
`boolean` | `isCancelled()` Specifies if the process is cancelled by the user.
`void` | `setMax(int max)` Sets the maximal value that will be set by `ProgressUpdater.setValue(int)`, so a value of max indicates the end of the supervised method call.
`void` | `setValue(int value)` Sets the current value the supervised process has reached.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GUIProgressUpdater

    public GUIProgressUpdater(boolean cancelButton)

  This is the constructor for a `GUIProgressUpdater`. It enables the programmer to add a cancel button.

  Parameters:
    `cancelButton` - `true` if the cancel button shall be added

Method Detail

### setMax

    public void setMax(int max)

  Description copied from interface: `ProgressUpdater`
  Sets the maximal value that will be set by `ProgressUpdater.setValue(int)`, so a value of max indicates the end of the supervised method call.

  Specified by:
    `setMax` in interface `ProgressUpdater`
  Parameters:
    `max` - the maximal value

### setValue

    public void setValue(int value)

  Description copied from interface: `ProgressUpdater`
  Sets the current value the supervised process has reached.

  Specified by:
    `setValue` in interface `ProgressUpdater`
  Parameters:
    `value` - the current value

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

### isCancelled

    public boolean isCancelled()

  Description copied from interface: `ProgressUpdater`
  Specifies if the process is cancelled by the user.

  Specified by:
    `isCancelled` in interface `ProgressUpdater`
  Returns:
    `true` if process was cancelled, `false` otherwise

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD